@echo off
if "%1"=="" goto help
if "%1"=="/?" goto original_help
if "%1"=="*.htm" goto more
cls
echo ***************************************************************************
echo  Dave Raggett's  		HTML TIDY		
echo *************************************************************************** 
echo    parse one file [1] 
echo  parse more files [2] 
echo.
choice /c:12 choose

if errorlevel 2 goto more
if errorlevel 1 goto one

:one
cls
echo ***************************************************************************
echo  Dave Raggett's  		HTML TIDY		
echo *************************************************************************** 
echo.
echo  output html [1] 
echo output xhtml [2] 
echo   split html [3] 
echo  split xhtml [4] 
echo   output xml [5] 
echo.
choice /c:12345 choose

if errorlevel 5 goto xml 
if errorlevel 4 goto split_xhtml 
if errorlevel 3 goto split_html 
if errorlevel 2 goto xhtml
if errorlevel 1 goto html

:xml
tidy386 -config xml.cfg %1
cls
echo ***************************************************************************
echo  Dave Raggett's  HTML TIDY		
echo *************************************************************************** 
echo. 
echo. 
echo. 
echo. 
echo. 
echo. 
echo. 
echo					DONE!!!
goto end



:split_xhtml
tidy386 -config spltxhtm.cfg %1
cls
echo ***************************************************************************
echo  Dave Raggett's  HTML TIDY		
echo *************************************************************************** 
echo. 
echo. 
echo. 
echo. 
echo. 
echo. 
echo. 
echo					DONE!!!

goto end

:split_html
tidy386 -config splthtml.cfg %1
cls
echo ***************************************************************************
echo  Dave Raggett's  HTML TIDY		
echo *************************************************************************** 
echo. 
echo. 
echo. 
echo. 
echo. 
echo. 
echo. 
echo					DONE!!!
goto end

:xhtml
tidy386 -config xhtml.cfg %1
cls
echo ***************************************************************************
echo  Dave Raggett's  HTML TIDY		
echo *************************************************************************** 
echo. 
echo. 
echo. 
echo. 
echo. 
echo. 
echo. 
echo					DONE!!!

goto end

:html
tidy386 -config html.cfg %1
cls
echo ***************************************************************************
echo  Dave Raggett's  HTML TIDY		
echo *************************************************************************** 
echo. 
echo. 
echo. 
echo. 
echo. 
echo. 
echo. 
echo					DONE!!!

goto end

:more
cls
echo ***************************************************************************
echo  Dave Raggett's  		HTML TIDY		
echo *************************************************************************** 
echo.
echo  output html  [1] 
echo  output xhtml [2] 
echo  output xml   [3] 
echo.
choice /c:123 

if errorlevel 3 goto xml 
if errorlevel 2 goto xhtml
if errorlevel 1 goto html


:xml
for %%1 in (*.htm) do tidy386 -config xml.cfg %%1
cls
echo ***************************************************************************
echo  Dave Raggett's  HTML TIDY		
echo ***************************************************************************  
echo. 
echo. 
echo. 
echo. 
echo. 
echo. 
echo. 
echo					DONE!!!

goto end

:xhtml
for %%1 in (*.htm) do tidy386 -config xhtml.cfg %%1
cls
echo ***************************************************************************
echo  Dave Raggett's  HTML TIDY		
echo *************************************************************************** 
echo. 
echo. 
echo. 
echo. 
echo. 
echo. 
echo 					DONE!!!

goto end

:html
for %%1 in (*.htm) do tidy386 -config html.cfg %%1
cls
echo ***************************************************************************
echo  Dave Raggett's  HTML TIDY		
echo *************************************************************************** 
echo. 
echo. 
echo. 
echo. 
echo. 
echo. 
echo. 
echo					DONE!!!
goto end

:help
cls
echo ***************************************************************************
echo  Dave Raggett's  HTML TIDY		
echo *************************************************************************** 
echo. 
echo. 
echo. 
echo. 
echo. 
echo. 
echo. 
echo 			SOURCE FILENAME MISSING!!!
echo                    syntax: $-tidy.bat filename.htm
echo.
echo if you use a file-manager like NORTON COMMANDER you don't need anything 
echo tipe.
echo Press: 
echo 1) (Ctrl)+(Enter) on the batch-file: $-tidy.bat
echo 2) (Ctrl)+(Enter) on the source-filename with the extension .htm
echo.
echo.
pause
goto end

:original_help
cls
tidy386 -help |more

:end
